#include "DHT.h"      // DHT-Bibliothek von Adafruit einbinden.
#define DHTTYPE DHT22 // Sensortyp wird festgelegt.
                      // Es handelt sich hier um den DHT22 Sensor.
int DHT_PIN = 2;      // Der Sensor wird an PIN 2 angeschlossen.

// Objekt des DHT-Sensors.
DHT dht(DHT_PIN, DHTTYPE);  // Der Sensor wird ab jetzt mit „dth“ angesprochen.

void setup() {
  // Starte serielle Schnittstelle zur Kommunikation mit dem Arduino.
  Serial.begin(9600);
  // Start des DHT22 Sensors.
  dht.begin();
}

void loop() {
  // Vorlaufzeit bis zur nächsten Messung.
  delay(4000);

  // Die Luftfeuchtigkeit wird vom Sensor ausgelesen...
  // ... und in der Variable "Luftfeuchtigkeit" gespeichert.
  float luftfeuchtigkeit = dht.readHumidity();
  // Die Temperatur wird vom Sensor ausgelesen...
  // ... und in der Variable "Temperatur" gespeichert.
  float temperatur = dht.readTemperature();

  // Auf dem seriellen Monitor können nun die Beschriftungen...
  // ... und die dazugehörigen Werte angezeigt werden.
  Serial.print("Luftfeuchtigkeit: ");  // Luftfeuchtigkeit in Prozent.
  Serial.print(luftfeuchtigkeit);
  Serial.println(" %");
  Serial.print("Temperatur: ");  // Temperatur in Grad Celsius.
  Serial.print(temperatur);
  Serial.println(" Grad Celsius");
}